package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.vo.EquipmentVo;
import com.ruoyi.demo.service.EquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/equimpent")
@RestController
public class EquipmentController {
    @Autowired
    EquipmentService equipmentService;
    @PostMapping("/addEquipment")
    public R addEquipment(EquipmentVo equipmentVo){
        equipmentService.addEquipment(equipmentVo);
        return R.ok();
    }

    @PutMapping("/updateEquipment")
    public R updateEquipment(EquipmentVo equipmentVo){
        equipmentService.updateEquipment(equipmentVo);
        return R.ok();
    }

    @GetMapping("/getEquipment")
    public R getEquipment(String equipmentId){
        Equipment equipment = equipmentService.getEquipment(equipmentId);
        return R.ok(equipment);
    }

    @DeleteMapping("/deleteEquipment")
    public R deleteEquipment(String[] equipmentIds){
        equipmentService.deleteEquipment(equipmentIds);
        return R.ok();
    }
}
