package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.demo.entity.vo.StoreVo;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@TableName("store")
@NoArgsConstructor
public class Store {
    @TableId(value = "store_id",type = IdType.ASSIGN_ID)
    private String storeId;
    @TableField("store_name")
    private String storeName;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("principal_name")
    private String principalName;
    @TableField("principal_telephone")
    private String principalTelephone;

    public Store(StoreVo storeVo) {
        this.storeName = storeVo.getStoreName();
        this.addrInfo = storeVo.getAddrInfo();
        this.addrCode = storeVo.getAddrCode();
        this.addrCodeInfo = storeVo.getAddrCodeInfo();
        this.principalName = storeVo.getPrincipalName();
        this.principalTelephone = storeVo.getPrincipalTelephone();
    }

}
